var Publisher = require('./publisher')
  , Connector = require('./connector')
  , Crypto = require('./crypto')


exports.start = function(ixApiDir){
  Publisher.publishAndFindProxy(ixApiDir, function(err, data){
    if (err) { throw err }
    Connector.connectToProxy(data)
  })
}

exports.startHttpProxy = function(upstreamUrl){
  Publisher.publishHttpAndFindProxy(function(err, data){
    if (err) { throw err }
    Connector.connectHttpToProxy(upstreamUrl, data)
  })
}

exports.setKey = function(key){
  Crypto.setKey(key)
}
